al_android_set_apk_fs_interface(3)

NAME

al_android_set_apk_fs_interface - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_android.h>
    void al_android_set_apk_fs_interface(void)

DESCRIPTION

This function will set up a custom ALLEGRO_FS_INTERFACE(3) which allows working within the APK filesystem. The filesystem root is your assets directory and there is read-only access to all files within.

    Note: Some things like querying file size or attributes are not supported by this. You can always use the PhysFS addon to open the APK file (it is just a regular .zip file) and get more complete information.

SINCE

5.1.13